Search Results for

Show / Hide Table of Contents

# Class TableView.CellColorGetterArgs

Arguments for a TableView.CellColorGetterDelegate. Describes a cell for which a rendering ColorScheme is being sought

##### Inheritance

System.Object
TableView.CellColorGetterArgs

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class CellColorGetterArgs

### Properties

#### CellValue

The hard typed value being rendered in the cell for which color is needed

##### Declaration

    public object CellValue { get; }

##### Property Value

Type | Description
--- | ---
System.Object |

#### ColIdex

The index of column in Table for which color is needed

##### Declaration

    public int ColIdex { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### Representation

The textual representation of CellValue (what will actually be drawn to the screen)

##### Declaration

    public string Representation { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### RowIndex

The index of the row in Table for which color is needed

##### Declaration

    public int RowIndex { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### RowScheme

the color scheme that is going to be used to render the cell if no cell specific color scheme is returned

##### Declaration

    public ColorScheme RowScheme { get; }

##### Property Value

Type | Description
--- | ---
ColorScheme |

#### Table

The data table hosted by the TableView control.

##### Declaration

    public DataTable Table { get; }

##### Property Value

Type | Description
--- | ---
System.Data.DataTable |